<?php

namespace CorpusParole\Providers;

use Illuminate\Support\ServiceProvider;

class TranscriptServiceProvider extends ServiceProvider
{
    /**
     * Register the application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('CorpusParole\Services\TranscriptManagerInterface', function($app) {
            return new TranscriptManager($app['Guzzle']);
        });
    }
}
